- name: Configure all hosts
  hosts: all
  gather_facts: true

  pre_tasks:
    - name: Install required collections
      ansible.builtin.command: ansible-galaxy collection install -r requirements.yml
      delegate_to: localhost
      run_once: true

  tasks:
    - name: Include global tasks
      ansible.builtin.import_tasks: tasks/global/global.yml

    - name: Include workstation tasks
      ansible.builtin.import_tasks: tasks/workstations/workstation.yml
      when: hostname in ['mennos-laptop', 'mennos-desktop']

    - name: Include server tasks
      ansible.builtin.import_tasks: tasks/servers/server.yml
      when: hostname in ['mennos-server', 'mennos-hobbypc', 'mennos-vm']
